1 Reply Latest reply: Oct 19, 2012 5:04 AM by AppleMan1958
Katyg67 Level 1 Level 1 (0 points)

I currently have Mac OS X Lion is this not later than Mac OS c 10.6.7?